<template>
  <div class="eContainer">
    <el-form :model="model" :rules="rules" ref="modelForm" label-width="150px" label-position="left" size="small" :validate-on-rule-change="false">
       <c-tabs v-model="tabVal" ref="elment" type="card" @tab-click="tabClick">
        
           <el-tab-pane label="Search Panel" name="infsea">
                <m-infsea :model="model" :codes="codes"/>
           </el-tab-pane>

           <el-tab-pane label="Text Module" name="txmp0">
                <m-txmp0 :model="model" :codes="codes"/>
           </el-tab-pane>
 
           
       </c-tabs>
    </el-form>
  </div>
</template>
<script>
import Api from "~/service/Api"
import CodeTable from "~/config/CodeTable"
import Inftxm from "~/model/Inftxm"
import CommonProcess from "~/mixin/CommonProcess"
import Check from "~/model/Inftxm/Check"
import Default from "~/model/Inftxm/Default"
import Pattern from "~/model/Inftxm/Pattern"
import Txmp0 from "./Txmp0"
import Infsea from "./Infsea"


export default {
    components:{
        "m-txmp0" : Txmp0,
        "m-infsea" : Infsea,
    },
    provide() {
        return {
            root: this
        }
    },
    mixins: [CommonProcess],    // 里面包含了Default、Check等的公共处理
    data(){
        return {
            tabVal: "infsea",
            trnName: "inftxm",
            model: new Inftxm().data,
            checkRules: Check,
            defaultRules: Default,
            pattern: Pattern,
            rules: null,
            codes: { ...CodeTable },
        }
    },
    methods:{
        tabClick(){
        }
    },
    created:async function(){
        console.log("进入inftxm交易");
        let rtnmsg = await this.init({})
        if(rtnmsg.respCode == SUCCESS)
        {
           //TODO 处理数据逻辑

        }
        else
        {
            this.$notify.error({title: '错误',message: '服务请求失败！'});
        }
    }
}
</script>
<style>

</style>
